package ${basePackage}.module.system.req;

import ${basePackage}.frame.base.BaseRequest;
import javax.validation.constraints.NotNull;
import javax.validation.constraints.NotBlank;
import org.hibernate.validator.constraints.Length;

/**
 * DeptCreateRequest - 部门新增
 *
 * @author wangbing
 * @version 0.0.1
 * @since 2017-01-01
 */
public class DeptCreateRequest extends BaseRequest {

    /**
     * 部门代码
     */
    @NotBlank(message = "[deptCode]部门代码不能为空")
    @Length(min = 1, max = 50, message = "[deptCode]部门代码长度不合法(1-50)")
    private String deptCode;

    /**
     * 部门名称
     */
    @NotBlank(message = "[deptName]部门名称不能为空")
    @Length(min = 1, max = 100, message = "[deptName]部门名称长度不合法(1-100)")
    private String deptName;

    /**
     * 部门别名
     */
    @Length(min = 0, max = 50, message = "[deptAlias]部门别名长度不合法(0-50)")
    private String deptAlias;

    /**
     * 是否有效
     */
    @NotNull(message = "[valid]是否有效不能为NULL")
    private Boolean valid;

    public String getDeptCode() {
        return this.deptCode;
    }

    public void setDeptCode(String deptCode) {
        this.deptCode = deptCode;
    }

    public String getDeptName() {
        return this.deptName;
    }

    public void setDeptName(String deptName) {
        this.deptName = deptName;
    }

    public String getDeptAlias() {
        return this.deptAlias;
    }

    public void setDeptAlias(String deptAlias) {
        this.deptAlias = deptAlias;
    }

    public Boolean getValid() {
        return this.valid;
    }

    public void setValid(Boolean valid) {
        this.valid = valid;
    }
}
